| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
board_nxp_xpresso_11c24.h File Reference
`#include "chip.h"`
`#include "board_api.h"`

Go to the source code of this file.

## Macros
#define | BOARD_NXP_XPRESSO_11C24

## Functions
void | Board_UART_Init (void)
| Initialize pin muxing for UART interface.
void | Board_SSP_Init (void)
| Initialize pin muxing for SSP interface.
void | Board_ADC_Init (void)
| Initialize pin muxing for ADC channel 0.
STATIC INLINE void | Board_I2C_Init (I2C_ID_T id)
| Initialize I2C Pins for I2C Operation.
STATIC INLINE void | Board_I2C_EnableFastPlus (I2C_ID_T id)
| Sets up I2C Fast Plus Mode.
STATIC INLINE void | Board_I2C_DisableFastPlus (I2C_ID_T id)
| Disables I2C Fast plus mode and enables normal mode.

## Macro Definition Documentation

#define BOARD_NXP_XPRESSO_11C24

Definition at line 58 of file board_nxp_xpresso_11c24.h.

## Function Documentation

void Board_ADC_Init | ( | void |  | ) |

Initialize pin muxing for ADC channel 0.

Returns
  Nothing

Definition at line 159 of file board_nxp_xpresso_11c24.c.

STATIC INLINE void Board_I2C_DisableFastPlus | ( | I2C_ID_T | id | ) |

Disables I2C Fast plus mode and enables normal mode.

Parameters

  id | : Must always be I2C0

Returns
  Nothing

Definition at line 115 of file board_nxp_xpresso_11c24.h.

STATIC INLINE void Board_I2C_EnableFastPlus | ( | I2C_ID_T | id | ) |

Sets up I2C Fast Plus Mode.

Parameters

  id | : Must always be I2C0

Returns
  Nothing

Note
  For proper operation of I2C in Fast plus mode, i.e, frequency above 400 KHz to 1 MHz, this function must be called before setting up I2C clock using Chip_I2C_SetClockRate()

Definition at line 104 of file board_nxp_xpresso_11c24.h.

void Board_SSP_Init | ( | void |  | ) |

Initialize pin muxing for SSP interface.

Returns
  Nothing

Definition at line 153 of file board_nxp_xpresso_11c24.c.

void Board_UART_Init | ( | void |  | ) |

Initialize pin muxing for UART interface.

Returns
  Nothing

Definition at line 57 of file board_nxp_xpresso_11c24.c.